import type { SvelteComponent } from 'svelte';
import { BaseComponent } from '../types';
export default abstract class SvelteImpl<Data, Options> extends BaseComponent<Data, Options> {
    protected abstract getSvelteComponentClass(): typeof SvelteComponent;
    private svelteComponent;
    protected onCreate(): void;
    protected onDataUpdated(): void;
    protected onOptionsUpdated(): void;
    protected onDestroy(): void;
}
